This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 149535 - filesystems.py: chokes on empty lines in /etc/fstab
filesystems.py: chokes on empty lines in /etc/fstab
Status: ON_QA
Product: Red Hat Academy
Classification: Retired
Component: RHA130 Curriculum (Show other bugs)
2.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bowe Strickland
Bowe Strickland
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 15:43 EST by Bowe Strickland
Modified: 2008-05-01 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bowe Strickland 2005-02-23 15:43:45 EST
02/17/05 14:59:46 @rha@ checkpoint fstab entry meets specificiations
[['LABEL=/', '/', 'ext3', 'defaults', '1', '1'], ['LABEL=/boot',
'/boot', 'ext2', 'defaults', '1', '2'], ['/dev/hda6', '/data', 'vfat',
'defaults', '0', '0'], ['none', '/dev/pts', 'devpts',
'gid=5,mode=620', '0', '0'], ['LABEL=/home', '/home', 'ext3',
'defaults', '1', '2'], ['none', '/proc', 'proc', 'defaults', '0',
'0'], ['none', '/dev/shm', 'tmpfs', 'defaults', '0', '0'],
['/dev/hda3', 'swap', 'swap', 'defaults', '0', '0'], ['/dev/cdrom',
'/mnt/cdrom', 'udf,iso9660', 'noauto,owner,kudzu,ro', '0', '0'],
['/dev/hdb4', '/mnt/zip', 'auto', 'noauto,owner,kudzu', '0', '0'],
['/dev/fd0', '/mnt/floppy', 'auto', 'noauto,owner,kudzu', '0', '0'],
['LABEL=labtest', '/labtest', 'ext3', 'nosuid,nodev,noauto', '0',
'0'], ['/dev/hda10', 'swap', 'swap', 'auto', '0', '0'], []]

  File "/tmp/rha_script.12649", line 34, in ?
    cs.run()
  File "/usr/lib/python2.2/site-packages/rha/script/__init__.py", line
69, in run
    c.run()
  File "/usr/lib/python2.2/site-packages/rha/script/__init__.py", line
36, in run
    try: self.runlocal()
  File
"/usr/lib/python2.2/site-packages/rha/script/rha130/filesystems.py",
line 382, in runlocal
    hits = filter(lambda p: p[0] == "LABEL=%s" % label, entries)
  File
"/usr/lib/python2.2/site-packages/rha/script/rha130/filesystems.py",
line 382, in
    hits = filter(lambda p: p[0] == "LABEL=%s" % label, entries)

Note You need to log in before you can comment on or make changes to this bug.